## com.sun.jersey.spi.container.servlet
Class WebComponent.ContextInjectableProvider<T>

    java.lang.Object
      com.sun.jersey.spi.inject.SingletonTypeInjectableProvider<javax.ws.rs.core.Context,T>
          com.sun.jersey.spi.container.servlet.WebComponent.ContextInjectableProvider<T>

Type Parameters:
  `T` - the type of the constant value.

All Implemented Interfaces:
  Injectable<T>, InjectableProvider<javax.ws.rs.core.Context,java.lang.reflect.Type>

Enclosing class:
  WebComponent

    protected static class WebComponent.ContextInjectableProvider<T>

extends SingletonTypeInjectableProvider<javax.ws.rs.core.Context,T>

A helper class for creating an injectable provider that supports `Context` with a type and constant value.

Constructor Summary
`protected` `WebComponent.ContextInjectableProvider(java.lang.reflect.Type type, T instance)` Create a new instance.

Method Summary

Methods inherited from class com.sun.jersey.spi.inject.SingletonTypeInjectableProvider
`getInjectable, getScope, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebComponent.ContextInjectableProvider

    protected WebComponent.ContextInjectableProvider(java.lang.reflect.Type type,
                                                     T instance)

  Create a new instance.

  Parameters:
    `type` - the type of the constant value.
    `instance` - the constant value.

Copyright © 2017 Oracle Corporation. All Rights Reserved.